EMF::EMRSETWINDOWORGEX(3)

NAME
EMF::EMRSETWINDOWORGEX - EMF Set Window Origin (ex)

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMRSETBRUSHORGEX.

  Public Member Functions

EMRSETWINDOWORGEX (INT x, INT y)
EMRSETWINDOWORGEX (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Detailed Description

EMF Set Window Origin (ex)

The window origin specifies the logical (i.e., real) coordinates of the upper, left corner of the viewport. (For example, if you want your XY plot's axis origin to be in the middle of the viewport, you'd set the window origin to something like [-1,-1].)

Constructor & Destructor Documentation

  EMF::EMRSETWINDOWORGEX::EMRSETWINDOWORGEX (INT x, INT y) [inline]

Parameters
    x x coordinate of window origin in logical coordinates
    y y coordinate of window origin in logical coordinates

  EMF::EMRSETWINDOWORGEX::EMRSETWINDOWORGEX (DATASTREAM & ds) [inline]
Construct a SetWindowOrgEx record from the input stream.

Parameters
    ds Metafile datastream.

Member Function Documentation

  void EMF::EMRSETWINDOWORGEX::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRSETWINDOWORGEX::serialize (DATASTREAM ds) [inline], [virtual]

Parameters
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRSETWINDOWORGEX::size (void) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.